Bug 494982 - Unhandled exception when using ISS against a master with ISS disabled
Unhandled exception when using ISS against a master with ISS disabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Shannon Hughes
:
Depends On:
Blocks: 457071
  Show dependency treegraph
 
Reported: 2009-04-08 17:29 EDT by Jeff Browning
Modified: 2009-09-10 16:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Browning 2009-04-08 17:29:33 EDT
Description of problem:
If you disable ISS on the Master satellite, and try to sync from it with the Slave, you will get an unhandled exception error that does not explain the problem. As it stands, this is not conducive to helping the user see why the sync failed in the event that they are not aware that ISS has been disabled on the master.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Set up a master and slave satellite pair.
2. Disable ISS on the master by setting disable_iss = 1 in rhn_server_iss.conf
3. Try to sync to the master from the slave.
  
Actual results:
[root@test03-64 ~]# satellite-sync -l
21:10:27 Red Hat Network Satellite - live synchronization
21:10:27    url: https://rlx-0-06.rhndev.redhat.com
21:10:27    debug/output level: 1
+++ sending log as an email +++

SYNC ERROR: unhandled exception occurred:

(Check logs/email for potentially more detail)

not all arguments converted during string formatting


Expected results:
The SYNC ERROR should be in some way revealing of the root problem.

Additional info:
Comment 1 Pradeep Kilambi 2009-04-08 17:38:37 EDT
can you please attach the relevant traceback to the bug. should be in rhn_server_satellite.log
Comment 3 Shannon Hughes 2009-06-29 15:43:18 EDT
set disable_iss = 1 on the master and received a proper error message on slave when syncing, 

ERROR: The Server listed within iss-parent is not configured for ISS 
       capability.
       Please review your configuration before trying again.
Comment 4 Tomas Lestach 2009-08-12 05:47:39 EDT
Following the reproducer and getting a correct error message:

ERROR: The Server listed within iss-parent is not configured for ISS 
       capability.
       Please review your configuration before trying again.

Stage validated -> RELEASE_PENDING.
Comment 5 Brandon Perkins 2009-09-10 16:04:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.